import sys
from os import path

from sqlglot.token_type import TokenType

token_types_str = ",\n".join(f"    {t.name}" for t in TokenType)


code = f"""// This module is auto-generated by {path.basename(__file__)}
use pyo3::prelude::*;
use strum_macros::EnumString;

#[allow(non_camel_case_types, dead_code)]
#[derive(Copy, Clone, Debug, Hash, PartialEq, Eq, EnumString)]
#[pyclass]
pub enum TokenType {{
{token_types_str}
}}
"""


if __name__ == "__main__":
    with open(sys.argv[1], "w") as f:
        f.write(code)
